<settings>
	<profiles>
		<profile>
			<id>xwiki</id>
			<repositories>
				<repository>
					<id>xwiki-snapshots</id>
					<name>XWiki Nexus Snapshot Repository</name>
					<url>https://nexus-snapshots.xwiki.org/repository/snapshots/</url>
					<releases>
						<enabled>false</enabled>
					</releases>
					<snapshots>
						<enabled>true</enabled>
					</snapshots>
				</repository>
				<repository>
					<id>xwiki-releases</id>
					<name>XWiki Nexus Releases Repository Proxy</name>
					<url>https://nexus.xwiki.org/nexus/content/groups/public</url>
					<releases>
						<enabled>true</enabled>
					</releases>
					<snapshots>
						<enabled>false</enabled>
					</snapshots>
				</repository>
			</repositories>
			<pluginRepositories>
				<pluginRepository>
					<id>xwiki-snapshots</id>
					<name>XWiki Nexus Plugin Snapshot Repository</name>
					<url>https://nexus-snapshots.xwiki.org/repository/snapshots/</url>
					<releases>
						<enabled>false</enabled>
					</releases>
					<snapshots>
						<enabled>true</enabled>
					</snapshots>
				</pluginRepository>
				<pluginRepository>
					<id>xwiki-releases</id>
					<name>XWiki Nexus Plugin Releases Repository Proxy</name>
					<url>https://nexus.xwiki.org/nexus/content/groups/public</url>
					<releases>
						<enabled>true</enabled>
					</releases>
					<snapshots>
						<enabled>false</enabled>
					</snapshots>
				</pluginRepository>
			</pluginRepositories>
		</profile>
		<profile>
			<id>SUREFIRE-1588</id>
			<activation>
				<activeByDefault>true</activeByDefault>
			</activation>
			<properties>
				<argLine>-Djdk.net.URLClassPath.disableClassPathURLCheck=true</argLine>
			</properties>
		</profile>
		<profile>
			<id>sonar</id>
			<activation>
				<activeByDefault>true</activeByDefault>
			</activation>
			<properties>
				<!-- Optional URL to server. Default value is http://localhost:9000 -->
				<sonar.host.url>
					${env.SONAR_URL}
				</sonar.host.url>
				<sonar.login>
					${env.SONAR_LOGIN}
				</sonar.login>
        <sonar.organization>
        </sonar.organization>
			</properties>
		</profile>
	</profiles>
	<activeProfiles>
		<activeProfile>xwiki</activeProfile>
		<activeProfile>SUREFIRE-1588</activeProfile>
	</activeProfiles>

	<pluginGroups>
		<pluginGroup>org.sonarsource.scanner.maven</pluginGroup>
	</pluginGroups>

</settings>
